Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.utils
Class ENLOCUtils

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.utils.ENLOCUtils

    public abstract class ENLOCUtils

extends java.lang.Object

Clase con varias funcionalidades genéricas de apoyo al código de la API.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`ENLOCUtils()`

Method Summary
`static java.io.File` | `createTempFile(byte[] inputDocument, java.lang.String prefix, java.lang.String extension)` Crea un fichero temporal.
`static java.io.File` | `createTempFile(java.lang.String prefix, java.lang.String extension)` Crea un fichero temporal.
`static java.lang.String` | `format(java.lang.String template, java.lang.String[] arguments)` Este método formatea la cadena de entrada con los argumentos pasados.
`static java.lang.String` | `generateFootNoteID()` Genera el id para un footnote.
`static java.lang.String` | `generateFootNoteLabelID()` Se genera un footnote label identificador adecuado a las especificaciones de LENLOCPENLOC2010.
`static java.lang.String` | `getCodeFromFootNoteID(java.lang.String footNoteID)` Devuelve el numero aleatorio (code) generado formando parte del footnote.
`static java.util.Date` | `getCurrentDate()` Obtiene la fecha actual.
`static java.lang.String` | `getFullPath(java.lang.String args)` Obtiene la ruta completa de un fichero.
`static Member` | `getMemberByName(ConceptMap conceptMap, java.lang.String memberName)` Obtiene un miembro, buscándolo en la lista de de Members de un conceptMap dimensional mediante el nombre el member.
`static java.lang.Object` | `getPropertyValueByName(java.lang.String getMethodName, java.lang.Object objTarget)` Obtiene el valor de una property a través de su name, en este caso un método perteneciente al objeto pasado como parámetro
`static java.lang.String` | `getReportID(java.lang.String documentPath)` Obtiene el identificador de report de una instancia.
`static java.lang.String` | `getSchemaRef(java.io.InputStream inputStreamDocument)` Obtiene el schemaRef de una instancia.
`static java.lang.String` | `getTraceObject(java.lang.Object objToTrace)` Busca las trazas de error asociadas a un object.
`static void` | `normalizeSchema(java.io.InputStream inputStreamDocument, java.lang.String taxonomyRoot, java.io.ByteArrayOutputStream ouputStreamXML)` Escribe un schemaRef valido en el documento
`static void` | `normalizeSchema(java.io.InputStream inputStreamDocument, java.lang.String taxonomyRoot, java.lang.String outputPath)` Escribe un schemaRef valido en el documento.
`static void` | `normalizeSchema(java.io.InputStream inputStreamDocument, java.lang.String taxonomyRoot, java.lang.String normalizedSchemaRef, java.io.ByteArrayOutputStream ouputStreamXML)` Escribe un schemaRef válido en el documento.
`static void` | `processSchemaValidationError(java.lang.String message, GenericErrorsHandler errorHandler)` Da un formato correcto a un error de validación de schema.
`static java.lang.String` | `replace(java.lang.String string, java.lang.String pattern, java.lang.String newPattern)` Reemplaza una cadena dentro de otra cadena.
`static void` | `saveFileToByteArray(java.io.File inputFile, java.io.ByteArrayOutputStream outputStream)` Lee un fichero y genera el correspondiente ByteArrayOutputStream.
`static void` | `saveXML(org.w3c.dom.Document doc, java.io.ByteArrayOutputStream outputStreamXML)` Serializa un XML a ByteArrayOutputStream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ENLOCUtils

    public ENLOCUtils()

Method Detail

### getFullPath

    public static java.lang.String getFullPath(java.lang.String args)
                                        throws XBRLENLOCException

  Obtiene la ruta completa de un fichero.

  Parameters:
    `args` - nombre del fichero.
  Returns:
    String con la ruta completa.
  Throws:
    `XBRLENLOCException` - si se produce un error.

### replace

    public static java.lang.String replace(java.lang.String string,
                                           java.lang.String pattern,
                                           java.lang.String newPattern)

  Reemplaza una cadena dentro de otra cadena.

  Parameters:
    `string` - cadena original.
    `pattern` - patrón para el cambio.
    `newPattern` - cadena a insertar.
  Returns:
    new string cadena reemplazada.

### format

    public static java.lang.String format(java.lang.String template,
                                          java.lang.String[] arguments)

  Este método formatea la cadena de entrada con los argumentos pasados. Hay que tener en cuenta que el usuario debe introducir los parámetros por parejas, es decir, no se controlará que cada parámetro concuerde con su pareja, si el número de argumentos pasados no es el correcto el método devuelve null.

  Parameters:
    `template` - plantilla para rellenar.
    `arguments` - Los argumentos para rellenar los huecos en la plantilla.
  Returns:
    cadena formateada.

### normalizeSchema

    public static void normalizeSchema(java.io.InputStream inputStreamDocument,
                                       java.lang.String taxonomyRoot,
                                       java.lang.String normalizedSchemaRef,
                                       java.io.ByteArrayOutputStream ouputStreamXML)
                                throws XBRLENLOCException

  Escribe un schemaRef válido en el documento.

  Parameters:
    `inputStreamDocument` - documento con la instancia XBRL.
    `taxonomyRoot` - ruta de la taxonomía.
    `normalizedSchemaRef` - ruta normalizada del esquema base.
    `ouputStreamXML` - documento de salida.
  Throws:
    `XBRLENLOCException` - si se produce un error.

### normalizeSchema

    public static void normalizeSchema(java.io.InputStream inputStreamDocument,
                                       java.lang.String taxonomyRoot,
                                       java.io.ByteArrayOutputStream ouputStreamXML)
                                throws XBRLENLOCException

  Escribe un schemaRef valido en el documento

  Parameters:
    `inputStreamDocument` - documento con la instancia XBRL.
    `taxonomyRoot` - ruta de la taxonomía.
    `ouputStreamXML` - documento de salida.
  Throws:
    `XBRLENLOCException` - si se produce un error.

### normalizeSchema

    public static void normalizeSchema(java.io.InputStream inputStreamDocument,
                                       java.lang.String taxonomyRoot,
                                       java.lang.String outputPath)
                                throws XBRLENLOCException

  Escribe un schemaRef valido en el documento.

  Parameters:
    `inputStreamDocument` - documento con la instancia XBRL.
    `taxonomyRoot` - ruta de la taxonomía.
    `outputPath` - ruta del documento de salida.
  Throws:
    `XBRLENLOCException` - si se produce un error.

### saveXML

    public static void saveXML(org.w3c.dom.Document doc,
                               java.io.ByteArrayOutputStream outputStreamXML)
                        throws java.lang.Exception

  Serializa un XML a ByteArrayOutputStream.

  Parameters:
    `doc` - documento que se va a serializar.
    `outputStreamXML` - documento de salida.
  Throws:
    `java.lang.Exception` - si se produce un error.

### saveFileToByteArray

    public static void saveFileToByteArray(java.io.File inputFile,
                                           java.io.ByteArrayOutputStream outputStream)
                                    throws XBRLENLOCException

  Lee un fichero y genera el correspondiente ByteArrayOutputStream.

  Parameters:
    `inputFile` - documento de entrada.
    `outputStream` - documento de salida.
  Throws:
    `XBRLENLOCException` - si se produce un error.

### getTraceObject

    public static java.lang.String getTraceObject(java.lang.Object objToTrace)

  Busca las trazas de error asociadas a un object.

  Parameters:
    `objToTrace` - objeto del que se trazan los errores.
  Returns:
    trazas en String

### getPropertyValueByName

    public static java.lang.Object getPropertyValueByName(java.lang.String getMethodName,
                                                          java.lang.Object objTarget)

  Obtiene el valor de una property a través de su name, en este caso un método perteneciente al objeto pasado como parámetro

  Parameters:
    `getMethodName` - nombre del método
    `objTarget` - objeto del que vamos a coger el método
  Returns:
    valor de la ejecución del método

### getCurrentDate

    public static final java.util.Date getCurrentDate()

  Obtiene la fecha actual.

  Returns:
    fecha actual.

### getReportID

    public static final java.lang.String getReportID(java.lang.String documentPath)
                                              throws DocumentNotFoundException,
                                                     XBRLENLOCException

  Obtiene el identificador de report de una instancia.

  Parameters:
    `documentPath` - ruta del documento.
  Returns:
    identificador del report.
  Throws:
    `DocumentNotFoundException` - si no se encuentra el documento.
    `XBRLENLOCException` - si se produce un error.

### processSchemaValidationError

    public static void processSchemaValidationError(java.lang.String message,
                                                    GenericErrorsHandler errorHandler)
                                             throws java.lang.Exception

  Da un formato correcto a un error de validación de schema.

  Parameters:
    `message` - mensaje de error.
    `errorHandler` - objeto que almacena los mensajes.
  Throws:
    `java.lang.Exception` - si se produce un error.

### createTempFile

    public static final java.io.File createTempFile(java.lang.String prefix,
                                                    java.lang.String extension)
                                             throws XBRLENLOCException

  Crea un fichero temporal.

  Parameters:
    `prefix` - prefijo del nombre del fichero.
    `extension` - extensión del fichero.
  Returns:
    fichero creado.
  Throws:
    `XBRLENLOCException` - si se produce un error.

### createTempFile

    public static final java.io.File createTempFile(byte[] inputDocument,
                                                    java.lang.String prefix,
                                                    java.lang.String extension)
                                             throws XBRLENLOCException

  Crea un fichero temporal.

  Parameters:
    `inputDocument` - documento de entrada.
    `prefix` - prefijo del nombre del fichero.
    `extension` - extensión del fichero
  Returns:
    fichero creado.
  Throws:
    `XBRLENLOCException` - si se produce un error.

### getMemberByName

    public static final Member getMemberByName(ConceptMap conceptMap,
                                               java.lang.String memberName)

  Obtiene un miembro, buscándolo en la lista de de Members de un conceptMap dimensional mediante el nombre el member.

  Parameters:
    `conceptMap` - referencia al conceptMap donde se busca el member
    `memberName` - nombre del member
  Returns:
    member, si es encontrado o nulo en caso contrario

### generateFootNoteID

    public static final java.lang.String generateFootNoteID()

  Genera el id para un footnote.

  Returns:
    Id del footnote.

### generateFootNoteLabelID

    public static final java.lang.String generateFootNoteLabelID()

  Se genera un footnote label identificador adecuado a las especificaciones de LENLOCPENLOC2010.
  Este identificador se compone mediante la constante footnote_ concatenado con un número aleatorio.

  Returns:
    footnote generado.

### getCodeFromFootNoteID

    public static final java.lang.String getCodeFromFootNoteID(java.lang.String footNoteID)

  Devuelve el numero aleatorio (code) generado formando parte del footnote.

  Parameters:
    `footNoteID` - identificador del footNote.
  Returns:
    code del id del footnote.

### getSchemaRef

    public static final java.lang.String getSchemaRef(java.io.InputStream inputStreamDocument)
                                               throws XBRLENLOCException

  Obtiene el schemaRef de una instancia.

  Parameters:
    `inputStreamDocument` - documento de entrada.
  Returns:
    schemaRef esquema base de la instancia.
  Throws:
    `XBRLENLOCException` - si se produce un error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD